### Method

# Gtk AlertDialog set_default_button

since: 4.10

#### Declaration [src]

    void
    gtk_alert_dialog_set_default_button (
      GtkAlertDialog* self,
      int button
    )

#### Description [src]

Sets the index of the default button.

See `GtkAlertDialog:default-button` for details of how this value is used.

Available since: 4.10

Sets property | `Gtk.AlertDialog:default-button`

#### Parameters

`button`

  Type: `int`

  The new default button.